diff --git a/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/DensityGeneratorNether.java b/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/DensityGeneratorNether.java
index 255404cf1..124c8ae5f 100644
--- a/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/DensityGeneratorNether.java
+++ b/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/DensityGeneratorNether.java
@@ -13,8 +13,8 @@ public class DensityGeneratorNether
     private final PerlinNoise minLimitNoise;
     private final PerlinNoise maxLimitNoise;
     private final PerlinNoise mainNoise;
-    private final PerlinNoise scaleNoise;
-    private final PerlinNoise depthNoise;
+//    private final PerlinNoise scaleNoise;
+//    private final PerlinNoise depthNoise;
 
 
     public DensityGeneratorNether(World world)
@@ -24,8 +24,8 @@ public class DensityGeneratorNether
         this.minLimitNoise = new PerlinNoise(world.getRandomSeed(), 16, 0);
         this.maxLimitNoise = new PerlinNoise(world.getRandomSeed(), 16, 16);
         this.mainNoise = new PerlinNoise(world.getRandomSeed(), 8, 32);
-        this.scaleNoise = new PerlinNoise(world.getRandomSeed(), 10, 48);
-        this.depthNoise = new PerlinNoise(world.getRandomSeed(), 16, 58);
+//        this.scaleNoise = new PerlinNoise(world.getRandomSeed(), 10, 48);
+//        this.depthNoise = new PerlinNoise(world.getRandomSeed(), 16, 58);
     }
 
     @Override
@@ -45,13 +45,13 @@ public class DensityGeneratorNether
         final double mainNoiseScaleY = 60.0;
         final double mainNoiseScaleZ = 80.0;
 
-        final double scaleNoiseScaleX = 1.0;
-        final double scaleNoiseScaleZ = 1.0;
+//        final double scaleNoiseScaleX = 1.0;
+//        final double scaleNoiseScaleZ = 1.0;
 
-        final double depthNoiseScaleX = 100.0;
-        final double depthNoiseScaleZ = 100.0;
+//        final double depthNoiseScaleX = 100.0;
+//        final double depthNoiseScaleZ = 100.0;
 
-        final double depthBaseSize = (terrainHeight / 16D) + 0.5D;
+//        final double depthBaseSize = (terrainHeight / 16D) + 0.5D;
 
         final double coordScale = 684.412D;
         final double heightScale = 2053.236D;
@@ -59,13 +59,13 @@ public class DensityGeneratorNether
         final double upperLimitScale = 512.0;
         final double lowerLimitScale = 512.0;
 
-        double[] scaleArray = scaleNoise.get(null, x, z, xSize, zSize, scaleNoiseScaleX, scaleNoiseScaleZ);
-        double[] depthArray = depthNoise.get(null, x, z, xSize, zSize, depthNoiseScaleX, depthNoiseScaleZ);
+//        double[] scaleArray = scaleNoise.get(null, x, z, xSize, zSize, scaleNoiseScaleX, scaleNoiseScaleZ);
+//        double[] depthArray = depthNoise.get(null, x, z, xSize, zSize, depthNoiseScaleX, depthNoiseScaleZ);
         double[] mainNoiseArray = mainNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale / mainNoiseScaleX, heightScale / mainNoiseScaleY, coordScale / mainNoiseScaleZ);
         double[] minLimitArray = minLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
         double[] maxLimitArray = maxLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
         int mainIndex = 0;
-        int depthScaleIndex = 0;
+//        int depthScaleIndex = 0;
         double[] densityOffsetArray = new double[ySize];
         for(int dy = 0; dy < ySize; dy++)
         {
@@ -87,45 +87,45 @@ public class DensityGeneratorNether
             for(int dz = 0; dz < zSize; dz++)
             {
                 // Calculate scale
-                double scale = (scaleArray[depthScaleIndex] + 256D) / 512D;
-                if(scale > 1.0D)
-                {
-                    scale = 1.0D;
-                }
-                double d4 = 0.0D;
+//                double scale = (scaleArray[depthScaleIndex] + 256D) / 512D;
+//                if(scale > 1.0D)
+//                {
+//                    scale = 1.0D;
+//                }
+//                double d4 = 0.0D;
 
                 // Calculate depth
-                double depth = depthArray[depthScaleIndex] / 8000D;
-                if(depth < 0.0D)
-                {
-                    depth = -depth;
-                }
-                depth = depth * 3D - 3D;
-
-                if(depth < 0.0D)
-                {
-                    depth /= 2D;
-                    if(depth < -1D)
-                    {
-                        depth = -1D;
-                    }
-                    depth /= 1.4D;
-                    depth /= 2D;
-                    scale = 0.0D;
-                }
-                else
-                {
-                    if(depth > 1.0D)
-                    {
-                        depth = 1.0D;
-                    }
-                    depth /= 6D;
-                }
-
-                scale += 0.5D;
-                depth = (depth * (depthBaseSize * 2)) / 16D;
-
-                depthScaleIndex++;
+//                double depth = depthArray[depthScaleIndex] / 8000D;
+//                if(depth < 0.0D)
+//                {
+//                    depth = -depth;
+//                }
+//                depth = depth * 3D - 3D;
+
+//                if(depth < 0.0D)
+//                {
+//                    depth /= 2D;
+//                    if(depth < -1D)
+//                    {
+//                        depth = -1D;
+//                    }
+//                    depth /= 1.4D;
+//                    depth /= 2D;
+//                    scale = 0.0D;
+//                }
+//                else
+//                {
+//                    if(depth > 1.0D)
+//                    {
+//                        depth = 1.0D;
+//                    }
+//                    depth /= 6D;
+//                }
+
+//                scale += 0.5D;
+//                depth = (depth * (depthBaseSize * 2)) / 16D;
+
+//                depthScaleIndex++;
                 for(int dy = 0; dy < ySize; dy++)
                 {
                     double density;
@@ -154,19 +154,20 @@ public class DensityGeneratorNether
                         double d11 = (float)(dy - (ySize - 4)) / 3F;
                         density = density * (1.0D - d11) + -10D * d11;
                     }
-                    if((double)dy < d4)
-                    {
-                        double densityMod = (d4 - (double)dy) / 4D;
-                        if(densityMod < 0.0D)
-                        {
-                            densityMod = 0.0D;
-                        }
-                        if(densityMod > 1.0D)
-                        {
-                            densityMod = 1.0D;
-                        }
-                        density = density * (1.0D - densityMod) + -10D * densityMod;
-                    }
+                    // This code was always false
+//                    if((double)dy < d4)
+//                    {
+//                        double densityMod = (d4 - (double)dy) / 4D;
+//                        if(densityMod < 0.0D)
+//                        {
+//                            densityMod = 0.0D;
+//                        }
+//                        if(densityMod > 1.0D)
+//                        {
+//                            densityMod = 1.0D;
+//                        }
+//                        density = density * (1.0D - densityMod) + -10D * densityMod;
+//                    }
 
                     densityMapArray[mainIndex] = density;
                     mainIndex++;
diff --git a/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/TerrainGeneratorNether.java b/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/TerrainGeneratorNether.java
index b7b17333d..e643374c0 100644
--- a/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/TerrainGeneratorNether.java
+++ b/src/main/java/net/minecraft/core/world/generate/chunk/perlin/nether/TerrainGeneratorNether.java
@@ -1,6 +1,5 @@
 package net.minecraft.core.world.generate.chunk.perlin.nether;
 
-import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.generate.chunk.perlin.DensityGenerator;
diff --git a/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/ChunkDecoratorOverworld.java b/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/ChunkDecoratorOverworld.java
index 15907905c..ae62cf9ea 100644
--- a/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/ChunkDecoratorOverworld.java
+++ b/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/ChunkDecoratorOverworld.java
@@ -67,7 +67,6 @@ public class ChunkDecoratorOverworld
         long l2 = (rand.nextLong() / 2L) * 2L + 1L;
         rand.setSeed((long) chunkX * l1 + (long) chunkZ * l2 ^ world.getRandomSeed());
         Random swampRand = new Random((long) chunkX * l1 + (long) chunkZ * l2 ^ world.getRandomSeed());
-        double d = 0.25D;
 
         // Water pass for swamps
         if (biome == Biomes.OVERWORLD_SWAMPLAND)
@@ -242,7 +241,7 @@ public class ChunkDecoratorOverworld
         }
 
 
-        d = 0.5D;
+        double d = 0.5D;
         int k4 = (int) ((treeDensityNoise.get((double) x * d, (double) z * d) / 8D + rand.nextDouble() * 4D + 4D) / 3D);
         int treeDensity = 0;
         if (rand.nextInt(10) == 0) {
diff --git a/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/SurfaceGeneratorOverworld.java b/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/SurfaceGeneratorOverworld.java
index d315bc946..26ae72e5a 100644
--- a/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/SurfaceGeneratorOverworld.java
+++ b/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/SurfaceGeneratorOverworld.java
@@ -2,7 +2,6 @@ package net.minecraft.core.world.generate.chunk.perlin.overworld;
 
 import java.util.Random;
 
-import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.biome.Biome;
diff --git a/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/TerrainGeneratorOverworld.java b/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/TerrainGeneratorOverworld.java
index f4985fb38..dee0984a5 100644
--- a/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/TerrainGeneratorOverworld.java
+++ b/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/TerrainGeneratorOverworld.java
@@ -1,6 +1,5 @@
 package net.minecraft.core.world.generate.chunk.perlin.overworld;
 
-import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.generate.chunk.perlin.DensityGenerator;
diff --git a/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/hell/ChunkDecoratorOverworldHell.java b/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/hell/ChunkDecoratorOverworldHell.java
index 707d503b7..5cbb48a10 100644
--- a/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/hell/ChunkDecoratorOverworldHell.java
+++ b/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/hell/ChunkDecoratorOverworldHell.java
@@ -9,7 +9,6 @@ import net.minecraft.core.block.BlockOreIron;
 import net.minecraft.core.block.BlockOreLapis;
 import net.minecraft.core.block.BlockOreRedstone;
 import net.minecraft.core.world.World;
-import net.minecraft.core.world.biome.Biome;
 import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.generate.chunk.ChunkDecorator;
 import net.minecraft.core.world.generate.feature.*;
@@ -42,18 +41,17 @@ public class ChunkDecoratorOverworldHell
         int maxY = world.getWorldType().getMaxY();
         int rangeY = (maxY + 1) - minY;
 
-        float oreHeightModifier = rangeY / 128f;
+//        float oreHeightModifier = rangeY / 128f;
 
         BlockSand.fallInstantly = true;
         int x = chunkX * 16;
         int z = chunkZ * 16;
-        int y = world.getHeightValue(x + 16, z + 16);
-        Biome biome = world.getBlockBiome(x + 16, y, z + 16);
+//        int y = world.getHeightValue(x + 16, z + 16);
+//        Biome biome = world.getBlockBiome(x + 16, y, z + 16);
         Random rand = new Random(world.getRandomSeed());
         long l1 = (rand.nextLong() / 2L) * 2L + 1L;
         long l2 = (rand.nextLong() / 2L) * 2L + 1L;
         rand.setSeed((long)chunkX * l1 + (long) chunkZ * l2 ^ world.getRandomSeed());
-        double d = 0.25D;
         if(rand.nextInt(32) == 0)
         {
             int i1 = x + rand.nextInt(16) + 8;
@@ -191,9 +189,8 @@ public class ChunkDecoratorOverworldHell
             (new WorldFeatureOre(BlockOreLapis.variantMap, 6)).place(world, rand, k7, l10, k13);
         }
 
-        d = 0.5D;
-        int k4 = (int)((treeDensityNoise.get((double)x * d, (double)z * d) / 8D + rand.nextDouble() * 4D + 4D) / 3D);
-        int treeDensity = k4;
+        double d = 0.5D;
+        int treeDensity = (int)((treeDensityNoise.get((double)x * d, (double)z * d) / 8D + rand.nextDouble() * 4D + 4D) / 3D);
         if(rand.nextInt(10) == 0)
         {
             treeDensity++;
diff --git a/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/retro/ChunkDecoratorOverworldRetro.java b/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/retro/ChunkDecoratorOverworldRetro.java
index 183992307..27628e349 100644
--- a/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/retro/ChunkDecoratorOverworldRetro.java
+++ b/src/main/java/net/minecraft/core/world/generate/chunk/perlin/overworld/retro/ChunkDecoratorOverworldRetro.java
@@ -53,7 +53,6 @@ public class ChunkDecoratorOverworldRetro
         long l1 = (rand.nextLong() / 2L) * 2L + 1L;
         long l2 = (rand.nextLong() / 2L) * 2L + 1L;
         rand.setSeed((long) chunkX * l1 + (long) chunkZ * l2 ^ world.getRandomSeed());
-        double d = 0.25D;
         for (int i1 = 0; i1 < 8; i1++)
         {
             int i4 = k + rand.nextInt(16) + 8;
@@ -126,7 +125,7 @@ public class ChunkDecoratorOverworldRetro
             (new WorldFeatureOre(BlockOreDiamond.variantMap, 7)).place(world, rand, i6, j8, i13);
         }
 
-        d = 0.5D;
+        double d = 0.5D;
         int l3 = (int)((treeDensityNoise.get((double)k * d, (double)l * d) / 8D + rand.nextDouble() * 4D + 4D) / 3D);
         if (l3 < 0)
         {
diff --git a/src/main/java/net/minecraft/core/world/generate/chunk/perlin/paradise/DensityGeneratorParadise.java b/src/main/java/net/minecraft/core/world/generate/chunk/perlin/paradise/DensityGeneratorParadise.java
index 9840773f8..ce4c77ee4 100644
--- a/src/main/java/net/minecraft/core/world/generate/chunk/perlin/paradise/DensityGeneratorParadise.java
+++ b/src/main/java/net/minecraft/core/world/generate/chunk/perlin/paradise/DensityGeneratorParadise.java
@@ -13,8 +13,8 @@ public class DensityGeneratorParadise
     private final PerlinNoise minLimitNoise;
     private final PerlinNoise maxLimitNoise;
     private final PerlinNoise mainNoise;
-    private final PerlinNoise scaleNoise;
-    private final PerlinNoise depthNoise;
+//    private final PerlinNoise scaleNoise;
+//    private final PerlinNoise depthNoise;
 
     public DensityGeneratorParadise(World world)
     {
@@ -23,8 +23,8 @@ public class DensityGeneratorParadise
         minLimitNoise = new PerlinNoise(world.getRandomSeed(), 16, 0);
         maxLimitNoise = new PerlinNoise(world.getRandomSeed(), 16, 16);
         mainNoise = new PerlinNoise(world.getRandomSeed(), 8, 32);
-        scaleNoise = new PerlinNoise(world.getRandomSeed(), 10, 48);
-        depthNoise = new PerlinNoise(world.getRandomSeed(), 16, 58);
+//        scaleNoise = new PerlinNoise(world.getRandomSeed(), 10, 48);
+//        depthNoise = new PerlinNoise(world.getRandomSeed(), 16, 58);
     }
 
     @Override
@@ -45,30 +45,30 @@ public class DensityGeneratorParadise
         final double mainNoiseScaleY = 120;
         final double mainNoiseScaleZ = 80;
 
-        final double scaleNoiseScaleX = 1.121;
-        final double scaleNoiseScaleZ = 1.121;
+//        final double scaleNoiseScaleX = 1.121;
+//        final double scaleNoiseScaleZ = 1.121;
 
-        final double depthNoiseScaleX = 200;
-        final double depthNoiseScaleZ = 200;
+//        final double depthNoiseScaleX = 200;
+//        final double depthNoiseScaleZ = 200;
 
-        final double depthBaseSize = (terrainHeight / 16D) + 0.5D;
+//        final double depthBaseSize = (terrainHeight / 16D) + 0.5D;
 
         final double coordScale = 684.412D / 4;
         final double heightScale = 684.412D / 2;
 
-        final double heightStretch = 4;
+//        final double heightStretch = 4;
 
         final double upperLimitScale = 512;
         final double lowerLimitScale = 512;
 
         // uses temp and humidity to alter terrain shape.
-        double[] scaleArray = scaleNoise.get(null, x, z, xSize, zSize, scaleNoiseScaleX, scaleNoiseScaleZ);
-        double[] depthArray = depthNoise.get(null, x, z, xSize, zSize, depthNoiseScaleX, depthNoiseScaleZ);
+//        double[] scaleArray = scaleNoise.get(null, x, z, xSize, zSize, scaleNoiseScaleX, scaleNoiseScaleZ);
+//        double[] depthArray = depthNoise.get(null, x, z, xSize, zSize, depthNoiseScaleX, depthNoiseScaleZ);
         double[] mainNoiseArray = mainNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale / mainNoiseScaleX, heightScale / mainNoiseScaleY, coordScale / mainNoiseScaleZ);
         double[] minLimitArray = minLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
         double[] maxLimitArray = maxLimitNoise.get(null, x, y, z, xSize, ySize, zSize, coordScale, heightScale, coordScale);
         int mainIndex = 0;
-        int depthScaleIndex = 0;
+//        int depthScaleIndex = 0;
         int xSizeScale = 16 / xSize;
         for(int dx = 0; dx < xSize; dx++)
         {
@@ -86,46 +86,46 @@ public class DensityGeneratorParadise
                 humidity = 1.0D - humidity;
 
                 // Calculate scale
-                double scale = (scaleArray[depthScaleIndex] + 256D) / 512D;
-                scale *= humidity;
-                if(scale > 1.0D)
-                {
-                    scale = 1.0D;
-                }
+//                double scale = (scaleArray[depthScaleIndex] + 256D) / 512D;
+//                scale *= humidity;
+//                if(scale > 1.0D)
+//                {
+//                    scale = 1.0D;
+//                }
 
                 // Calculate depth
-                double depth = depthArray[depthScaleIndex] / 8000D;
-                if(depth < 0.0D)
-                {
-                    depth = -depth * 0.3D;
-                }
-                depth = depth * 3D - 2D;
-
-                if(depth > 1.0D)
-                {
-                    depth = 1.0D;
-                }
-                depth /= 8D;
-                depth = 0.0D;
-                if(scale < 0.0D)
-                {
-                    scale = 0.0D;
-                }
-
-                scale += 0.5D;
-                depth = (depth * (depthBaseSize * 2)) / 16D;
-
-                double offsetY = (double)ySize / 2D;
-                depthScaleIndex++;
+//                double depth = depthArray[depthScaleIndex] / 8000D;
+//                if(depth < 0.0D)
+//                {
+//                    depth = -depth * 0.3D;
+//                }
+//                depth = depth * 3D - 2D;
+
+//                if(depth > 1.0D)
+//                {
+//                    depth = 1.0D;
+//                }
+//                depth /= 8D;
+//                depth = 0.0D;
+//                if(scale < 0.0D)
+//                {
+//                    scale = 0.0D;
+//                }
+
+//                scale += 0.5D;
+//                depth = (depth * (depthBaseSize * 2)) / 16D;
+
+//                double offsetY = (double)ySize / 2D;
+//                depthScaleIndex++;
 
                 for(int dy = 0; dy < ySize; dy++)
                 {
                     double density = 0.0D;
-                    double densityOffset = (((double)dy - offsetY) * heightStretch) / scale;
-                    if(densityOffset < 0.0D)
-                    {
-                        densityOffset *= -1D;
-                    }
+//                    double densityOffset = (((double)dy - offsetY) * heightStretch) / scale;
+//                    if(densityOffset < 0.0D)
+//                    {
+//                        densityOffset *= -1D;
+//                    }
                     double minDensity = minLimitArray[mainIndex] / upperLimitScale;
                     double maxDensity = maxLimitArray[mainIndex] / lowerLimitScale;
                     double mainDensity = (mainNoiseArray[mainIndex] / 10D + 1.0D) / 2D;
diff --git a/src/main/java/net/minecraft/core/world/generate/chunk/skyblock/ChunkGeneratorSkyblockNether.java b/src/main/java/net/minecraft/core/world/generate/chunk/skyblock/ChunkGeneratorSkyblockNether.java
index ae6bc8bc7..348b4ef84 100644
--- a/src/main/java/net/minecraft/core/world/generate/chunk/skyblock/ChunkGeneratorSkyblockNether.java
+++ b/src/main/java/net/minecraft/core/world/generate/chunk/skyblock/ChunkGeneratorSkyblockNether.java
@@ -3,7 +3,6 @@ package net.minecraft.core.world.generate.chunk.skyblock;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.chunk.Chunk;
-import net.minecraft.core.world.generate.chunk.ChunkDecorator;
 import net.minecraft.core.world.generate.chunk.ChunkGenerator;
 import net.minecraft.core.world.generate.chunk.ChunkGeneratorResult;
 
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeature.java b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeature.java
index 1428331ae..56b069bac 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeature.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeature.java
@@ -4,9 +4,6 @@ import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            World
-
 public abstract class WorldFeature
 {
 
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureAlgae.java b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureAlgae.java
index 046289f85..5f9af8da6 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureAlgae.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureAlgae.java
@@ -1,15 +1,11 @@
 package net.minecraft.core.world.generate.feature;
 
-import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            WorldGenerator, World, Block, BlockFlower
-
 public class WorldFeatureAlgae extends WorldFeature
 {
 
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureCactus.java b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureCactus.java
index cdc4fc961..12d59dc55 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureCactus.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureCactus.java
@@ -1,14 +1,10 @@
 package net.minecraft.core.world.generate.feature;
 
-import net.minecraft.core.block.Block;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            WorldGenerator, World, Block
-
 public class WorldFeatureCactus extends WorldFeature
 {
 
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureClay.java b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureClay.java
index 2744a41a7..69fdb2ff3 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureClay.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureClay.java
@@ -8,10 +8,6 @@ import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            WorldGenerator, Block, World, Material,
-//            MathHelper
-
 public class WorldFeatureClay extends WorldFeature
 {
     private int clayBlockId;
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureDeadBush.java b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureDeadBush.java
index 2fa2c29c7..cdf7e68df 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureDeadBush.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureDeadBush.java
@@ -6,10 +6,6 @@ import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            WorldGenerator, World, Block, BlockLeaves, 
-//            BlockFlower
-
 public class WorldFeatureDeadBush extends WorldFeature
 {
     private final int blockId;
@@ -22,7 +18,7 @@ public class WorldFeatureDeadBush extends WorldFeature
     @Override
 	public boolean place(World world, Random random, int x, int y, int z)
     {
-        for(int l = 0; ((l = world.getBlockId(x, y, z)) == 0 || Block.blocksList[l] instanceof BlockLeavesBase) && y > 0; y--) { }
+        for(int l; ((l = world.getBlockId(x, y, z)) == 0 || Block.blocksList[l] instanceof BlockLeavesBase) && y > 0; y--) { }
         for(int i1 = 0; i1 < 4; i1++)
         {
             int j1 = (x + random.nextInt(8)) - random.nextInt(8);
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureDungeon.java b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureDungeon.java
index 4d5e8db7b..56f6880bd 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureDungeon.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureDungeon.java
@@ -14,10 +14,6 @@ import net.minecraft.core.block.material.Material;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            WorldGenerator, World, Material, Block, 
-//            TileEntityChest, TileEntityMobSpawner, ItemStack, Item
-
 public class WorldFeatureDungeon extends WorldFeature
 {
 	public int blockIdWalls;
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureFire.java b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureFire.java
index 61f0b4e85..eb05c08d8 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureFire.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureFire.java
@@ -5,9 +5,6 @@ import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            WorldGenerator, World, Block, BlockFire
-
 public class WorldFeatureFire extends WorldFeature
 {
 
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureFlowers.java b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureFlowers.java
index 4f12e879d..aaab501e6 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureFlowers.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureFlowers.java
@@ -6,9 +6,6 @@ import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            WorldGenerator, World, Block, BlockFlower
-
 public class WorldFeatureFlowers extends WorldFeature
 {
     private final int plantBlockId;
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureGlowstoneA.java b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureGlowstoneA.java
index 172e4e42c..559d5976f 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureGlowstoneA.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureGlowstoneA.java
@@ -5,9 +5,6 @@ import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            WorldGenerator, World, Block
-
 public class WorldFeatureGlowstoneA extends WorldFeature
 {
 
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureGlowstoneB.java b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureGlowstoneB.java
index 737d4e37e..17420a09f 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureGlowstoneB.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureGlowstoneB.java
@@ -5,9 +5,6 @@ import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            WorldGenerator, World, Block
-
 public class WorldFeatureGlowstoneB extends WorldFeature
 {
 
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureGrassPatch.java b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureGrassPatch.java
index 310080df3..5b85c4b63 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureGrassPatch.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureGrassPatch.java
@@ -6,9 +6,6 @@ import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            WorldGenerator, MathHelper, World, Block
-
 public class WorldFeatureGrassPatch extends WorldFeature
 {
     @MethodParametersAnnotation(names = {"size", "blockToPlace"})
diff --git a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureLabyrinth.java b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureLabyrinth.java
index 3924369fd..7d08f4f10 100644
--- a/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureLabyrinth.java
+++ b/src/main/java/net/minecraft/core/world/generate/feature/WorldFeatureLabyrinth.java
@@ -19,9 +19,6 @@ import net.minecraft.core.world.biome.Biomes;
 
 import java.util.Random;
 
-// Referenced classes of package net.minecraft.src:
-//            WorldGenerator, World, Material, Block,
-//            TileEntityChest, TileEntityMobSpawner, ItemStack, Item
 public class WorldFeatureLabyrinth extends WorldFeature
 {
     public WorldFeatureLabyrinth()
@@ -399,7 +396,7 @@ public class WorldFeatureLabyrinth extends WorldFeature
 
     private void generateLibrary(World world, Random random, int blockX, int blockY, int blockZ) {
         int size = 10;
-        int sideFacing = random.nextInt(2);
+//        int sideFacing = random.nextInt(2);
         if (blockY < 10)
             return;
         for (int x = blockX - size; x <= blockX + size; x++) {
